/* CAVElib interface
 * Copyright (C) 2001 Paul Rajlich
 *
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 *
 * You should have received a copy of the GNU General Public License
 * along with this program; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
 */
#include "globalshared.h"

void init_global_shared(global_shared_t *g) {

  g->r_fullscreen = FALSE;
  g->r_notextures = FALSE;
  g->r_drawitems = TRUE;

  g->r_texture_data = NULL;
  g->r_lockpvs = 0;
  g->r_gamma = 1.7;  /* was 1.2 */
  g->r_brightness = 0; /* was 30, was 20 */
  g->r_setup_projection = 1;
  g->r_viewport_w = 640;
  g->r_viewport_h = 480;
  g->r_eyefov = 90.0f;
  g->r_sky = 2;
  g->r_fps = 0.0;

  /* performance */
  g->r_lodbias = 1;        /* raise to decrease texture quality */
  g->r_maxmeshlevel = 5;   /* lower to decrease geometric complexity */
  g->r_subdivisiontol = 5;

  g->g_collision = 1;
  g->g_collision_buffer = 36.0f;
  g->g_move = 0;
  g->g_velocity = 0.0f;
}
